import 'package:flutter/material.dart';

class Circularloading extends StatelessWidget {
  final double? value;
  final double? width;
  final double? height;
  final Color? color;
  final Color? backgroundColor;
  final Animation<Color>? valueColor;

  const Circularloading(
      {super.key,
      this.value,
      this.width,
      this.height,
      this.color,
      this.backgroundColor,
      this.valueColor});

  @override
  Widget build(BuildContext context) {
    return Container(
      alignment: Alignment.center,
      width: width,
      height: height,
      child: CircularProgressIndicator(
        value: value,
        color: color,
        backgroundColor: backgroundColor,
        valueColor: valueColor,
      ),
    );
  }
}
